<?php
	
	// DEFINE THEME DIRECTORY
	define("THEME_DIR", get_template_directory_uri());

	if ( ! isset( $content_width ) ) $content_width = 900;
	
	/*--- REMOVE GENERATOR META TAG ---*/
	remove_action('wp_head', 'wp_generator');
	
	/*--- SUPPORT TO LANGUAGES ---*/
	
	load_theme_textdomain( 'creative', TEMPLATEPATH.'/languages' );

	$locale = get_locale();
	$locale_file = TEMPLATEPATH."/languages/$locale.php";
	if ( is_readable($locale_file) )
		require_once($locale_file);
	
	function is_login_page() {
		return in_array($GLOBALS['pagenow'], array('wp-login.php', 'wp-register.php'));
	}
	
	/*--- REQUIRES ---*/
	require("wpts/wpts_admin_config.php"); 
	
	require("wpts/admin/wpts_init_admin.php"); 
 
	require("wpts/wpts_shortcodes.php"); 

	require("wpts/layout-builder/layout-builder.php"); 
	
	// PORTFOLIO
	
	require("wpts/inc/_portfolio.php"); 
	

	/*== ENQUEUE STYLES ==**/
	
	function enqueue_styles() {
		if(!is_admin() && !is_login_page()) :

			$base_theme = wpts_get_option("colors", "base_skin");
			
			//wp_enqueue_style("main-style", THEME_DIR ."/style.css", false, "1.0", "all");
			wp_enqueue_style("google-fonts", "http://fonts.googleapis.com/css?family=Signika:300,400,600,700", false, "1.0", "all");	
			wp_enqueue_style("jquery-vegas", THEME_DIR ."/js/vegas/jquery.vegas.css", false, "1.0", "all");
			wp_enqueue_style("galeria", THEME_DIR ."/js/galleria/themes/classic/galleria.classic.css", false, "1.0", "all");
			wp_enqueue_style("tipsy", THEME_DIR ."/js/tipsy/tipsy.css", false, "1.0", "all");
			wp_enqueue_style("prettyPhoto", THEME_DIR ."/js/prettyPhoto/css/prettyPhoto.css", false, "1.0", "all");
			wp_enqueue_style("styles", THEME_DIR ."/css/".$base_theme.".css", false, "1.0", "all");
			wp_enqueue_style("jquery.jscrollpane", THEME_DIR ."/css/jquery.jscrollpane.css", false, "1.0", "all");

			wp_enqueue_style("ajax-area", THEME_DIR ."/css/ajax-area.css", false, "1.0", "all");

			wp_enqueue_style("main-style", get_stylesheet_directory_uri() ."/style.css", false, "1.0", "all");


		endif;
	}
	add_action( 'init', 'enqueue_styles' );
	
	/*== ENQUEUE SCRIPTS ==**/
	
	function enqueue_scripts() {
		if(!is_admin() && !is_login_page()) :
			/** REGISTER js/jquery.js **/
			wp_enqueue_script( 'jquery' );
			
			wp_register_script( 'html5-shim', 'http://html5shim.googlecode.com/svn/trunk/html5.js', array(), null, false );
			wp_enqueue_script( 'html5-shim' );

			wp_enqueue_script( 'jquery.easing', get_template_directory_uri() . '/js/jquery.easing.1.3.js', array('jquery'), NULL );
			wp_enqueue_script( 'jquery.form', get_template_directory_uri() . '/js/jquery.form.js', array('jquery'), NULL );
			wp_enqueue_script( 'jquery.vegas', get_template_directory_uri() . '/js/vegas/jquery.vegas.js', array('jquery'), NULL );
			wp_enqueue_script( 'galleria', get_template_directory_uri() . '/js/galleria/galleria-1.2.6.min.js', array('jquery'), NULL );
			wp_enqueue_script( 'galleria.classic', get_template_directory_uri() . '/js/galleria/themes/classic/galleria.classic.min.js', array('jquery'), NULL );
			wp_enqueue_script( 'jquery.tipsy', get_template_directory_uri() . '/js/tipsy/jquery.tipsy.js', array('jquery'), NULL );
			wp_enqueue_script( 'jquery.prettyPhoto', get_template_directory_uri() . '/js/prettyPhoto/js/jquery.prettyPhoto.js', array('jquery'), NULL );
			wp_enqueue_script( 'froogaloop2', get_template_directory_uri() . '/js/vimeo/froogaloop2.min.js', array('jquery'), NULL );
			wp_enqueue_script( 'global', get_template_directory_uri() . '/js/global.js', array('jquery'), NULl );
			wp_enqueue_script( 'jquery.mousewheel', get_template_directory_uri() . '/js/jquery.mousewheel.js', array('jquery'), NULl );
			wp_enqueue_script( 'jquery.jscrollpane.min', get_template_directory_uri() . '/js/jquery.jscrollpane.min.js', array('jquery'), NULl );

			wp_enqueue_script( 'jquery.history', get_template_directory_uri() . '/js/history/jquery.history.js', array('jquery'), NULl );

			wp_enqueue_script( 'jquery-applyheight', get_template_directory_uri() . '/js/jquery.applyheight.js', array('jquery'), NULL );

			wp_register_script( 'ajax-area-js', get_template_directory_uri() . '/js/ajax.js', array('jquery'), NULL );	
			wp_enqueue_script( 'ajax-area-js' );	

			wp_register_script( 'load-posts', get_template_directory_uri() . '/js/load-posts.js', array('jquery'), NULL );					
			
		endif;
	}
	add_action( 'init', 'enqueue_scripts' );

	/*== ENABLE CUSTOM MENUS ==**/
	if ( function_exists( 'register_nav_menu' ) ) {
	
		register_nav_menu( 'main_menu', 'Main Menu' );

	}
	
	/*== SIDEBARS WIDGET AREAS ==**/
	
	register_sidebar( array(
		'id'          => 'right-sidebar',
		'name'        => 'Right Sidebar',
		'description' => 'Displayed at content\'s right on pages like: Blog, Single Post and Page with Sidebar.',
		'before_title'  => '<h3 class="widgettitle"><span>',
		'after_title'   => '</span></h3>',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>'
	) );
	
	add_filter('widget_text', 'do_shortcode');
	
	/**== BLOG POSTS ==**/
	
	if (function_exists( 'add_theme_support' ) ) {
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'automatic-feed-links' );
	}
	
	if ( function_exists( 'add_image_size' ) ) { 
		/* TEMPLATE - add_image_size( 'blog-size', 700, 290 );	*/
		add_image_size( 'portfolio-thumb-size', 122, 107, true );
		add_image_size( 'portfolio-recent-size', 149, 43, true );
		add_image_size( 'blog-size', 180, 140, true );
	}
		
	/*== PAGINATION ==*/
	
	function nav_pagination($range = 2, $pages = '' )
	{  
		$showitems = ($range * 2)+1;  

		global $paged;
		global $bid;
		if(empty($paged)) $paged = 1;

		if($pages == '')
		{
			global $wp_query;
			$pages = $wp_query->max_num_pages;
			if(!$pages)
			{
				$pages = 1;
			}
		}   

		if(1 != $pages)
		{
			echo '<nav>';
			echo '<p class="pagination">';
			/*if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&lt;</a>";
			if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&gt;</a>";*/

			for ($i=1; $i <= $pages; $i++)
			{
				if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
				{
					 echo ($paged == $i)? "<span class='active'>".$i."</span>":"<a href='".get_pagenum_link($i)."#".$bid."' rel='navigation'>".$i."</a>";
				}
			}

			/*if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a>";  
			if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>&raquo;</a>";*/
			echo "</p>\n";
			echo '</nav>';
		}
	}


	function the_slug($p_id) {
	    $post_data = get_post($p_id, ARRAY_A);
	    $slug = $post_data['post_name'];
	    $slug = str_replace("-", "_", $slug);
	    return $slug; 
	}
		
?>