<?php
    /**
     * Created by Bhaskar
     */
    class PortfolioSetup  {
    	
		private $wpdb_pointer;
		private $table_name;
		const TABLENAME = 'portfolio_keys';
        const AMAZONLINK = "https://s3.amazonaws.com/Daven/Social Portfolio";
        
        function __construct($db) {
            $this->wpdb_pointer = $db;
            $this->table_name = $this->wpdb_pointer->prefix . self::TABLENAME;
        }
		
		public function setupdb($value='')
		{
			if($this->wpdb_pointer->get_var("SHOW TABLES LIKE '$this->table_name'") != $this->table_name) 
			{
				
			 	$sql = "CREATE TABLE IF NOT EXISTS $this->table_name  (type VARCHAR(50) DEFAULT 'no license' NOT NULL, l_key VARCHAR(100) DEFAULT '000000' NOT NULL, url VARCHAR(200) DEFAULT '' NOT NULL);";				
				$type = "no license";
   				$key = "000000";
				$url = get_site_url();
				require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
  				dbDelta( $sql );
				
   				$rows_affected = $this->wpdb_pointer->insert( $this->table_name, array( 'type' => $type, 'l_key' => $key, 'url' => $url ) );
			}			
		}
		
		
		public function statusUpdate($actionType, $value)
		{
			switch($actionType)
            {
                case 'update':
                   $return = $this->update_table($value);
                    break;
                case 'remove':
                   $return = $this->remove_table();
                    break;
                default:
                    break;
            }
            
            return $return;
		}
		
		public function getData()
		{			
			$result = $this->wpdb_pointer->get_results( "SELECT * FROM $this->table_name LIMIT 1"); 
			$resultArray = array();
			if($result!=null){
				foreach (@$result[0] as $key => $value) {
					$resultArray[$key] = $value;				
				}
				
				global $data_license;
				$data_license = $resultArray;
			}
			return $resultArray;
		}
		
		public function createPage($pageData)
		{
			// Setup the author, slug, and title for the post
			$author_id = 1;
			$slug = $pageData['slug'];
			$title = $pageData['title'];
            $post_id =null;
			// If the page doesn't already exist, then create it
			if( null == get_page_by_title( $title ) ) {
			
				// Set the page ID so that we know the page was created successfully
				$post_id = wp_insert_post(
					array(
						'comment_status'=>	'closed',
						'ping_status'	=>	'closed',
						'post_author'	=>	$author_id,
						'post_content'	=>	$pageData['content'],
						'post_excerpt'	=>  $pageData['excerpt'],
						'post_name'		=>	$slug,
						'post_title'	=>	$title,
						'post_status'	=>	'publish',
						'post_type'		=>	'page'
					)
				);
			} 
            
            return $post_id;
		}
        
        public function removePage($pageid)
        {
            wp_delete_post( $pageid, true);
        }
        
		
		private function update_table($value='')
		{
		    $this->remove_table();  // making sure there is only one entry in the table.
            
		    $type = "no license";
		    if($value['license_type'] == 'R'){
		        $type = "regular";
		    }else if($value['license_type'] == 'P'){
		        $type = "premium";
		    }else{
		        $type = "no license";
		    }
		    $data=array('type'=>$type,  'l_key'=>$value['license_key'],   'url'=>$value['website'] );
            	    
			$this->wpdb_pointer->insert( $this->table_name, $data );            
            return $this->getData();   // returning data as well as setting global variable.
		}
		
		private function remove_table()
		{
			$this->wpdb_pointer->query('DELETE FROM '.$this->table_name.' WHERE 1');            
            return TRUE;
		}        
        
        public function checktype($key){
            if(strlen($key)!=20){
                return json_encode(array('result' => FALSE, 'message'=>'Invalid Key'));
            }
            
            $getfirst16 = substr($key, 0, 16);
            if($getfirst16 == 'BV1X23AWAD6901RT'){
                $resultObj = array('result' => TRUE, 'values'=> array('license_key'=>$key, 'license_type'=>'R',), 'content'=>$this->getContent('R'));
            }elseif($getfirst16 == 'X28AF5MR9X29523J'){
                $resultObj = array('result' => TRUE, 'values'=> array('license_key'=>$key, 'license_type'=>'P',), 'content'=>$this->getContent('P'));
            }else{
                $resultObj = array('result' => FALSE, 'message'=>'Invalid Key');
            }  
            
            return json_encode($resultObj);      
        }
        
        private function getContent($type){
            $return = array(
                            'about'=>true,
                            'contact'=>true,
                            'portfolio'=>true,
                            'testimonials'=>true,
                            'blog'=>true,
                            );
            if($type=='R'){
                return array('about'=>$return['about'], 'contact'=>$return['contact']);
            }elseif($type=='P'){
                 return $return;
            }else{
                return "";
            }
        }
        
        public function getBackgrounds( )
        {
            //TODO - Add backgrounds here.
            return array(                                                
                        array(self::AMAZONLINK."/Homepage/h1.jpg",self::AMAZONLINK."/Homepage/ht-1.jpg"),
                        array(self::AMAZONLINK."/Homepage/h2.jpg",self::AMAZONLINK."/Homepage/ht-2.jpg"),
                        array(self::AMAZONLINK."/Homepage/h3.jpg",self::AMAZONLINK."/Homepage/ht-3.jpg"),
                        array(self::AMAZONLINK."/Homepage/h4.jpg",self::AMAZONLINK."/Homepage/ht-4.jpg"),
                        array(self::AMAZONLINK."/Homepage/h5.jpg",self::AMAZONLINK."/Homepage/ht-5.jpg")
                    );
            
        }
		
    }
    
?>